package kw4h;

/**
 * 
 * @author Kw4h
 *
 */
public class Region 
{
	public int id;
	public double x, y, z;
	public String name;
	public float[] color = new float[3];
	public double minZ = 0;
	public double maxZ = 0;
	
	/**
	 * 
	 * @param id
	 * @param name
	 * @param x
	 * @param y
	 * @param z
	 */
	public Region(int id, String name, double x, double y, double z)
	{
		this.id = id;
		this.name = name;
		this.x = x;
		this.y = y;
		this.z = z;
		
		double r, g, b;
		r = (Math.random() / 2) + 0.5;
		g = (Math.random() / 2) + 0.5;
		b = (Math.random() / 2) + 0.5;
		this.color[0] = (float) r;
		this.color[1] = (float) g;
		this.color[2] = (float) b;
	}
	
	/**
	 * 
	 * @param minZ
	 * @param maxZ
	 */
	public void setMinMax(double minZ, double maxZ)
	{
		this.minZ = minZ;
		this.maxZ = maxZ;
	}
}
